Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.matching
Class MatchColumn

    java.lang.Object
      com.sun.mdm.index.configurator.impl.matching.MatchColumn

public class MatchColumn
extends java.lang.Object

Represents the configuration for a Match Column.

Constructor Summary
`MatchColumn()` Creates a new MatchColumn instance

Method Summary
`EPath` | `getEPath()` Retreives the parsed fully qualified name including qualifiers (EPath string) to access value objects, that corresponds to this Column.
`int` | `getMatchOrder()` The matchOrder is an match engine-specific setting that can control the order the columns are used in matching if the MatchEngine requires this to be defined.
`java.lang.String` | `getMatchType()` Retreives the type of a column a specific MatchEngine understands so it can identify what this column represents and how to match it.
`java.lang.String` | `getQualifiedName()` Retrieves the fully qualified name including qualifiers (EPath string) to access value objects, that corresponds to this Column.
`(package private) void` | `setMatchOrder(int value)` Sets the matchOrder if the chosen match engine supports this setting.
`(package private) void` | `setMatchType(java.lang.String value)` Sets the matchType.
`(package private) void` | `setQualifiedName(java.lang.String value)` Sets the qualified name of the match column.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchColumn

    public MatchColumn()

  Creates a new MatchColumn instance

Method Detail

### getEPath

    public EPath getEPath()

  Retreives the parsed fully qualified name including qualifiers (EPath string) to access value objects, that corresponds to this Column. This can be used directly with the EPath API.

  Returns:
    the ePath

### getMatchOrder

    public int getMatchOrder()

  The matchOrder is an match engine-specific setting that can control the order the columns are used in matching if the MatchEngine requires this to be defined.

  Returns:
    the match order

### getMatchType

    public java.lang.String getMatchType()

  Retreives the type of a column a specific MatchEngine understands so it can identify what this column represents and how to match it.

  Returns:
    the match type

### getQualifiedName

    public java.lang.String getQualifiedName()

  Retrieves the fully qualified name including qualifiers (EPath string) to access value objects, that corresponds to this Column. This can be used with the EPath API.

  Returns:
    the qualified name

### setMatchOrder

    void setMatchOrder(int value)

  Sets the matchOrder if the chosen match engine supports this setting.

  Parameters:
    `value` - The order in which to match a column.

### setMatchType

    void setMatchType(java.lang.String value)

  Sets the matchType.

  Parameters:
    `value` - The match type.

### setQualifiedName

    void setQualifiedName(java.lang.String value)
                    throws ConfigurationException

  Sets the qualified name of the match column.

  Parameters:
    `value` - Qualified name of the match column.
  Throws:
    `ConfigurationException` - if the configuration could not be parsed

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.